%define lib_major 0
%define lib_name %mklibname djconsole %{lib_major}
%define devel_name %mklibname djconsole -d

Name: libdjconsole
Summary: Libdjconsole - Support for hardware dj consoles
Version: 0.1.3
Release: %mkrel 6
License: LGPL
Group: System/Libraries
Source: http://downloads.sourceforge.net/djplay/%{name}-%{version}.tar.xz
Patch0: libdjconsole-0.1.3-automake-1.13.patch
Patch1: libdjconsole-0.1.3-udev-rules-dir.patch
URL: http://djplay.sourceforge.net/
BuildRequires: pkgconfig(libusb) >= 0.1.1
BuildRequires: sed
Requires: %{lib_name} = %{version}

%description
libdjconsole - Support for hardware dj consoles

%files
%dir %_datadir/libdjconsole
%_datadir/libdjconsole/*
/usr/lib/udev/rules.d/45-hpdjconsole.rules

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:  %{summary}
Group: System/Libraries

%description -n %{lib_name}
libdjconsole - Support for hardware dj consoles

%files -n %{lib_name}
%_libdir/libdjconsole.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %{devel_name}
Summary:  %{summary}
Group: Development/Libraries
Provides: %{name}-devel = %{version}
Requires: %{lib_name} = %{version}
Obsoletes: %{lib_name}-devel

%description -n %{devel_name}
libdjconsole - Support for hardware dj consoles

%files -n %{devel_name}
%_libdir/pkgconfig/*
%_libdir/*.so
%_includedir/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p0
sed -i "s,^libdir=.*,libdir=@libdir@,g" libdjconsole.pc.in

%build
autoreconf -fi
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Tue Oct 15 2019 tex - 0.1.3-6pclos2019
- rebuild against updates

* Fri Jul 21 2017 bb2 <bb2> - 0.1.3-5pclos2017
- rebuild against updates

